Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452644 - virt-manager can't create routed guests
Summary: virt-manager can't create routed guests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 08:43 UTC by Martin Jürgens
Modified: 2010-03-30 08:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:50:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Allow creating routed virtual networks (deleted)
2009-12-15 19:25 UTC, Cole Robinson
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0281 normal SHIPPED_LIVE virt-manager bug fix update 2010-03-29 13:59:22 UTC

Description Martin Jürgens 2008-06-24 08:43:31 UTC
Description of problem:
I need to use "routing" network mode for guests instead of "bridged" mode.
So I changed the xend config to use vif-route scripts.

  
Actual results:
I can't get a network connection and can't define an IP address in
virt-manager's network interface configuration while I understood from Xen
documentation that vif-route needs an IP address specified in the vif
configuration to set up the routing to the
guest.

Comment 1 Martin Jürgens 2008-08-14 15:49:21 UTC
So basically when you have Xen set to the routed configuration virt-manager should detect that and configure the domUs accordingly (ask for the ip and set ip=xxxxxxx in the domU config)

Comment 2 Daniel Berrange 2008-08-14 22:06:42 UTC
I realize this won't help you, but the design goals in virt-manager are to support two modes of networking

 - Virtual network. This is a isolated bridge device, to which guests are connected. Traffic from this is forwarded to the physical LAN with NAT applied.

 - Shared physical device. This is a bridge device with a physical interface enslaved. Guests can directly send traffic to/from the LAN

This is described in more detail here

   http://wiki.libvirt.org/page/Networking


The routed config you describe is not something that is intended to be supporte in virt-manager. In the future the 'Virtual network' capability may be able to pass traffic without applying NAT, which may be closer to what you require. This isn't present in RHEL5 libvirt at this time though.

Comment 3 Martin Jürgens 2008-08-15 05:28:08 UTC
Thanks, this helps me a little bit. While this is only a feature request against virt-manager I fear that with the switch to xenner in EL6 my domU's won't have network access anymore (as xenner only supports bridged setups) so that I end up staying with EL5.

Comment 4 Cole Robinson 2009-02-13 20:54:06 UTC
FYI, creating a route based virtual network with libvirt is available upstream and has been for almost a year:

http://libvirt.org/formatnetwork.html#examplesRoute

This isn't supported yet in upstream virt-manager though.

Comment 5 Martin Jürgens 2009-02-13 23:10:48 UTC
Hi, sounds promising. Do you know if this would also work using Xenner based on KVM and fully-virtualized guests?

Comment 7 Cole Robinson 2009-10-13 14:46:38 UTC
Should be able to get this in for 5.5.

Comment 8 Cole Robinson 2009-12-15 19:25:02 UTC
Created attachment 378594 [details]
Allow creating routed virtual networks

Comment 9 Cole Robinson 2009-12-15 19:42:42 UTC
Fix built in virt-manager-0_6_1-9_el5

Comment 14 errata-xmlrpc 2010-03-30 08:50:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0281.html


Note You need to log in before you can comment on or make changes to this bug.